f4e7271f6c44e871dad349912c1de4f4caa944dd
[packages/ka5-libkgapi.git] / ka5-libkgapi.spec
1 %define         kdeappsver      18.12.1
2 %define         qtver           5.9.0
3 %define         kaname          libkgapi
4 Summary:        libkgapi
5 Name:           ka5-%{kaname}
6 Version:        18.12.1
7 Release:        1
8 License:        GPL v2+/LGPL v2.1+
9 Group:          X11/Libraries
10 Source0:        http://download.kde.org/stable/applications/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
11 # Source0-md5:  4c1586446861dce28820711ae8ecaa7e
12 URL:            http://www.kde.org/
13 BuildRequires:  Qt5Core-devel >= %{qtver}
14 BuildRequires:  Qt5Gui-devel >= 5.11.1
15 BuildRequires:  Qt5Network-devel
16 BuildRequires:  Qt5Positioning-devel >= 5.11.1
17 BuildRequires:  Qt5PrintSupport-devel >= 5.11.1
18 BuildRequires:  Qt5Qml-devel >= 5.11.1
19 BuildRequires:  Qt5Quick-devel >= 5.11.1
20 BuildRequires:  Qt5Test-devel
21 BuildRequires:  Qt5WebChannel-devel >= 5.11.1
22 BuildRequires:  Qt5WebEngine-devel >= 5.11.1
23 BuildRequires:  Qt5Widgets-devel
24 BuildRequires:  Qt5Xml-devel
25 BuildRequires:  cmake >= 2.8.12
26 BuildRequires:  cyrus-sasl-devel
27 BuildRequires:  gettext-devel
28 BuildRequires:  ka5-kcalcore-devel >= %{kdeappsver}
29 BuildRequires:  ka5-kcontacts-devel >= %{kdeappsver}
30 BuildRequires:  kf5-extra-cmake-modules >= 5.53.0
31 BuildRequires:  kf5-kio-devel >= 5.51.0
32 BuildRequires:  kf5-kwallet-devel >= 5.51.0
33 BuildRequires:  kf5-kwindowsystem-devel >= 5.51.0
34 BuildRequires:  qt5-build >= %{qtver}
35 BuildRequires:  rpmbuild(macros) >= 1.164
36 BuildRequires:  shared-mime-info
37 BuildRequires:  tar >= 1:1.22
38 BuildRequires:  xz
39 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
40
41 %description
42 LibKGAPI is a KDE-based library for accessing various Google services
43 via their public API.
44
45 %package devel
46 Summary:        Header files for %{kaname} development
47 Summary(pl.UTF-8):      Pliki nagłówkowe dla programistów używających %{kaname}
48 Group:          X11/Development/Libraries
49 Requires:       %{name} = %{version}-%{release}
50
51 %description devel
52 Header files for %{kaname} development.
53
54 %description devel -l pl.UTF-8
55 Pliki nagłówkowe dla programistów używających %{kaname}.
56
57 %prep
58 %setup -q -n %{kaname}-%{version}
59
60 %build
61 install -d build
62 cd build
63 %cmake \
64         -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
65         ..
66 %{__make}
67
68 %install
69 rm -rf $RPM_BUILD_ROOT
70 %{__make} -C build install \
71         DESTDIR=$RPM_BUILD_ROOT
72
73 %find_lang %{kaname}_qt --with-qm --all-name --with-kde
74
75 %clean
76 rm -rf $RPM_BUILD_ROOT
77
78 %post   -p /sbin/ldconfig
79 %postun -p /sbin/ldconfig
80
81 %files -f %{kaname}_qt.lang
82 %defattr(644,root,root,755)
83 /etc/xdg/libkgapi.categories
84 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPIBlogger.so.5
85 %attr(755,root,root) %{_libdir}/libKPimGAPIBlogger.so.5.*.*
86 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPICalendar.so.5
87 %attr(755,root,root) %{_libdir}/libKPimGAPICalendar.so.5.*.*
88 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPIContacts.so.5
89 %attr(755,root,root) %{_libdir}/libKPimGAPIContacts.so.5.*.*
90 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPICore.so.5
91 %attr(755,root,root) %{_libdir}/libKPimGAPICore.so.5.*.*
92 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPIDrive.so.5
93 %attr(755,root,root) %{_libdir}/libKPimGAPIDrive.so.5.*.*
94 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPILatitude.so.5
95 %attr(755,root,root) %{_libdir}/libKPimGAPILatitude.so.5.*.*
96 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPIMaps.so.5
97 %attr(755,root,root) %{_libdir}/libKPimGAPIMaps.so.5.*.*
98 %attr(755,root,root) %ghost %{_libdir}/libKPimGAPITasks.so.5
99 %attr(755,root,root) %{_libdir}/libKPimGAPITasks.so.5.*.*
100 %attr(755,root,root) %ghost %{_libdir}/sasl2/libkdexoauth2.so.3
101 %attr(755,root,root) %{_libdir}/sasl2/libkdexoauth2.so.3.*.*
102
103 %files devel
104 %defattr(644,root,root,755)
105 %{_includedir}/KPim/KGAPI
106 %{_includedir}/KPim/kgapi_version.h
107 %{_libdir}/cmake/KPimGAPI
108 %attr(755,root,root) %{_libdir}/libKPimGAPIBlogger.so
109 %attr(755,root,root) %{_libdir}/libKPimGAPICalendar.so
110 %attr(755,root,root) %{_libdir}/libKPimGAPIContacts.so
111 %attr(755,root,root) %{_libdir}/libKPimGAPICore.so
112 %attr(755,root,root) %{_libdir}/libKPimGAPIDrive.so
113 %attr(755,root,root) %{_libdir}/libKPimGAPIMaps.so
114 %attr(755,root,root) %{_libdir}/libKPimGAPILatitude.so
115 %attr(755,root,root) %{_libdir}/libKPimGAPITasks.so
116 %attr(755,root,root) %{_libdir}/sasl2/libkdexoauth2.so
117 %{_libdir}/qt5/mkspecs/modules/qt_KGAPIBlogger.pri
118 %{_libdir}/qt5/mkspecs/modules/qt_KGAPICalendar.pri
119 %{_libdir}/qt5/mkspecs/modules/qt_KGAPIContacts.pri
120 %{_libdir}/qt5/mkspecs/modules/qt_KGAPICore.pri
121 %{_libdir}/qt5/mkspecs/modules/qt_KGAPIDrive.pri
122 %{_libdir}/qt5/mkspecs/modules/qt_KGAPILatitude.pri
123 %{_libdir}/qt5/mkspecs/modules/qt_KGAPIMaps.pri
124 %{_libdir}/qt5/mkspecs/modules/qt_KGAPITasks.pri
This page took 0.068732 seconds and 2 git commands to generate.